| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Friends | List of all members
Digikam::DMultiTabBarFrame Class Reference
Inheritance diagram for Digikam::DMultiTabBarFrame:

## Public Member Functions
| DMultiTabBarFrame (QWidget *const parent, Qt::Edge pos)
void | appendTab (const QIcon &, int=-1, const QString &=QString())
void | removeTab (int)
void | setPosition (Qt::Edge pos)
void | setStyle (DMultiTabBar::TextStyle style)
void | showActiveTabTexts (bool show)
DMultiTabBarTab * | tab (int) const
QList< DMultiTabBarTab * > * | tabs ()

## Protected Member Functions
virtual void | contentsMousePressEvent (QMouseEvent *)
| Reimplemented from QScrollView in order to ignore all mouseEvents on the viewport, so that the parent can handle them.
void | mousePressEvent (QMouseEvent *) override

## Friends
class | DMultiTabBar